GET /v1/models
Returns a list of all models available for inference.Example request
curl
curl https://api.openinference.xyz/v1/models
Example response
{
"data": [
{
"id": "openai/gpt-oss-120b",
"architecture": {
"instruct_type": null,
"modality": "text->text",
"tokenizer": "Other"
},
"context_length": 131072,
"max_completion_tokens": 131072,
"pricing": {
"prompt": "0.015",
"completion": "0.03"
},
"quantization": "fp4"
},
{
"id": "openai/gpt-oss-20b",
"architecture": {
"instruct_type": null,
"modality": "text->text",
"tokenizer": "Other"
},
"context_length": 131072,
"max_completion_tokens": 131072,
"pricing": {
"prompt": "0.01",
"completion": "0.02"
},
"quantization": "fp4"
}
]
}
Response fields
| Field | Type | Description |
|---|---|---|
id | string | The model identifier to use in API requests |
architecture.modality | string | Input/output modality (e.g. text->text) |
context_length | integer | Maximum context window in tokens |
max_completion_tokens | integer | Maximum tokens the model can generate |
pricing.prompt | string | Cost per 1M input tokens (in USD) |
pricing.completion | string | Cost per 1M output tokens (in USD) |
quantization | string | Quantization level (e.g. fp4, fp8) |